Package org.drinkless.tdlib

# Class TdApi.CallServerTypeTelegramReflector

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallServerType
org.drinkless.tdlib.TdApi.CallServerTypeTelegramReflector

Enclosing class:
  `TdApi`

public static class TdApi.CallServerTypeTelegramReflector extends TdApi.CallServerType
A Telegram call reflector.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CallServerType

  `TdApi.CallServerType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isTcp`
  True, if the server uses TCP instead of UDP.
  `byte[]`
  `peerTag`
  A peer tag to be used with the reflector.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallServerTypeTelegramReflector()`
  A Telegram call reflector.
  `CallServerTypeTelegramReflector(byte[] peerTag, boolean isTcp)`
  A Telegram call reflector.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### peerTag

    public byte[] peerTag
    A peer tag to be used with the reflector.

  - ### isTcp

    public boolean isTcp
    True, if the server uses TCP instead of UDP.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallServerTypeTelegramReflector

    public CallServerTypeTelegramReflector()
    A Telegram call reflector.

  - ### CallServerTypeTelegramReflector

    public CallServerTypeTelegramReflector(byte[] peerTag, boolean isTcp)
    A Telegram call reflector.
    Parameters:
      `peerTag` - A peer tag to be used with the reflector.
      `isTcp` - True, if the server uses TCP instead of UDP.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CallServerType`
    Returns:
      this.CONSTRUCTOR